#include <stdio.h>
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# define YYLMAX BUFSIZ
#ifndef __cplusplus
# define output(c) (void)putc(c,yyout)
#else
# define lex_output(c) (void)putc(c,yyout)
#endif

#if defined(__cplusplus) || defined(__STDC__)

#if defined(__cplusplus) && defined(__EXTERN_C__)
extern "C" {
#endif
	int yyback(int *, int);
	int yyinput(void);
	int yylook(void);
	void yyoutput(int);
	int yyracc(int);
	int yyreject(void);
	void yyunput(int);
	int yylex(void);
#ifdef YYLEX_E
	void yywoutput(wchar_t);
	wchar_t yywinput(void);
#endif
#ifndef yyless
	int yyless(int);
#endif
#ifndef yywrap
	int yywrap(void);
#endif
#ifdef LEXDEBUG
	void allprint(char);
	void sprint(char *);
#endif
#if defined(__cplusplus) && defined(__EXTERN_C__)
}
#endif

#ifdef __cplusplus
extern "C" {
#endif
	void exit(int);
#ifdef __cplusplus
}
#endif

#endif
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
#ifndef __cplusplus
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#else
# define lex_input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#endif
#define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng;
char yytext[YYLMAX];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;

# line 3 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/*
 * The Termprocessor Kimwitu
 *
 * Copyright (c) 1991 University of Twente, Dept TIOS.
 * All rights reserved.
 *
 */

# line 12 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/*
 * kimwl.l
 */
#if ! (defined(lint) || defined(SABER) || defined(CODECENTER))
static char kimwl_lAccesSid[] = "@(#)$Id: kimwl.l,v 2.33 1997/03/05 11:45:14 belinfan Rel $";
#endif

# line 20 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/* comments to suppress known `errors' */

# line 21 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/*SUPPRESS 529*/

# line 22 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/*SUPPRESS  25*/
#if (defined(SABER) || defined(CODECENTER))
# define lint
#endif

# line 28 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/* WARNING: YYLMAX should be at least 500
 * (because some people write real specs ...)
 * use the BUFSIZ that is defined in <stdio.h> as #define BUFSIZ 1024
 * this is a no-op on a sun: sun's lex already defines #define YYLMAX BUFSIZ
 * however, on a hp we get problems: YYLMAX is defined as #define YYLMAX 200
 * first get rid of old value: #undef YYLMAX before #define YYLMAX 'our-value'
 */
#undef YYLMAX
#define YYLMAX BUFSIZ


# line 38 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/* WARNING: some lexers (like (some versions of?) flex) #define yywrap
 * which causes problems if we try to define a function for it.
 * So, we undef it if defined.
 */
#ifdef yywrap
# undef yywrap
#endif
#define count(x) counter(x)

# line 52 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/***************************************************************************/

# line 53 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
/*
 * Name conventions: tokens and states are in CAPITALS
 * operators are capitalized
 *
 */
# define NORMAL 2
# define INCL 4
# define INCLSTART 6
# define CEXPR 8
# define CEXPRDQ 10
# define CEXPRSQ 12
# define C 14
#if defined(__STDC__)
# include <stdlib.h>
#endif
#include <string.h>

#include "k.h"
#include "kimwy.h"

static int cinit_paren_nesting =0;
static int cinit_array_nesting =0;
static void reset_nestcount KC__P(());

static int eat_comment KC__P(( casestring ));
static void counter KC__P(( int ));
# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
#ifdef __cplusplus
/* to avoid CC and lint complaining yyfussy not being used ...*/
static int __lex_hack = 0;
if (__lex_hack) goto yyfussy;
#endif
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:

# line 88 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		 	{ count(0); }
break;
case 2:

# line 89 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); return T_PERCENTUVIEW; }
break;
case 3:

# line 90 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ count(1); return T_PERCENTUVIEW; }
break;
case 4:

# line 91 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ count(1); return T_PERCENTRVIEW; }
break;
case 5:

# line 92 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
	{ count(1); return T_PERCENTSTORAGECLASS; }
break;
case 6:

# line 93 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ count(1); BEGIN INCLSTART; return T_INCLUDESTART; }
break;
case 7:

# line 94 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ count(1);	 yylval.yt_casestring = mkcasestring(yytext); return T_ID;}
break;
case 8:

# line 95 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ count(0); }
break;
case 9:

# line 96 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); BEGIN INCL; }
break;
case 10:

# line 97 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); yylval.yt_casestring = mkcasestring(yytext); return T_INCLUDE; }
break;
case 11:

# line 98 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); yylval.yt_casestring = mkcasestring(yytext); return T_INCLUDE; }
break;
case 12:

# line 99 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); return yytext[0]; }
break;
case 13:

# line 100 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); BEGIN NORMAL; return T_INCLUDEEND; }
break;
case 14:

# line 101 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ int no_of_newlines; count(1); no_of_newlines = eat_comment(pg_filename);
					          yylval.yt_int = no_of_newlines; return T_CNEWLINES;
					    	}
break;
case 15:

# line 104 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
{ count(1); eat_comment(pg_filename); }
break;
case 16:

# line 105 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); return T_ARROW; }
break;
case 17:

# line 106 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); return T_DEFAULT; }
break;
case 18:

# line 107 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ count(1); yylval.yt_int = atoi(yytext); return T_INT; }
break;
case 19:

# line 108 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); return T_LIST; }
break;
case 20:

# line 109 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); return T_STATIC; }
break;
case 21:

# line 110 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); return T_AUTO; }
break;
case 22:

# line 111 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ count(1); return T_REGISTER; }
break;
case 23:

# line 112 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); return T_EXTERN; }
break;
case 24:

# line 113 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); return T_TYPEDEF; }
break;
case 25:

# line 114 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); return T_CONST; }
break;
case 26:

# line 115 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ count(1); return T_VOLATILE; }
break;
case 27:

# line 116 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); return T_DOTDOTDOT; }
break;
case 28:

# line 117 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
 			{ count(1); yylval.yt_casestring = mkcasestring(yytext); return T_ID ; }
break;
case 29:

# line 118 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
{ count(1); yylval.yt_casestring = mkcasestring(yytext); return T_CEXPRESSION; }
break;
case 30:

# line 119 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
	{ count(1); yylval.yt_int = atoi(yytext+1); return T_DOLLARVAR; }
break;
case 31:

# line 120 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); return T_UNPBLOCKSTART; }
break;
case 32:

# line 121 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); return T_UNPBLOCKEND; }
break;
case 33:

# line 122 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); yylval.yt_casestring = mkcasestring(yytext); return T_CEXPRESSION; }
break;
case 34:

# line 123 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
{ count(1); return yytext[0]; }
break;
case 35:

# line 124 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
{ count(1); yylval.yt_casestring = mkcasestring("\\"); return T_CEXPRESSION; }
break;
case 36:

# line 125 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
{ count(1); yylval.yt_casestring = mkcasestring("\\\\"); return T_CEXPRESSION; }
break;
case 37:

# line 126 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ count(1); BEGIN CEXPRDQ; return yytext[0]; }
break;
case 38:

# line 127 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ count(1); BEGIN CEXPRSQ; return yytext[0]; }
break;
case 39:

# line 128 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); BEGIN NORMAL; reset_nestcount(); return yytext[0]; }
break;
case 40:

# line 129 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); return yytext[0]; }
break;
case 41:

# line 130 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); cinit_paren_nesting++;  yylval.yt_casestring = mkcasestring("(");  return yytext[0]; }
break;
case 42:

# line 131 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); if (cinit_paren_nesting == 0) {
						      BEGIN NORMAL; reset_nestcount(); return yytext[0];
								} else {
						      cinit_paren_nesting--; yylval.yt_casestring = mkcasestring(")");  return yytext[0]; }
							}
break;
case 43:

# line 136 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); cinit_array_nesting++;  yylval.yt_casestring = mkcasestring("[");  return yytext[0]; }
break;
case 44:

# line 137 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); if (cinit_array_nesting == 0) {
						      BEGIN NORMAL; reset_nestcount(); return yytext[0];
								} else {
						      cinit_array_nesting--; yylval.yt_casestring = mkcasestring("]");  return yytext[0]; }
							}
break;
case 45:

# line 142 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ count(1); yylval.yt_casestring = mkcasestring(yytext); return T_CEXPRESSION; }
break;
case 46:

# line 143 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); BEGIN CEXPR; return yytext[0]; }
break;
case 47:

# line 144 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); yylval.yt_casestring = mkcasestring("\\\""); return T_CEXPRESSION; }
break;
case 48:

# line 145 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); BEGIN CEXPR; return yytext[0]; }
break;
case 49:

# line 146 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
			{ count(1); yylval.yt_casestring = mkcasestring("\\'"); return T_CEXPRESSION; }
break;
case 50:

# line 147 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
		{ count(1); yylval.yt_casestring = mkcasestring(yytext); return T_CEXPRESSION; }
break;
case 51:

# line 148 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
					{ count(1); yylval.yt_casestring = mkcasestring("$"); return T_CLINE; }
break;
case 52:

# line 149 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
					{ count(1); yylval.yt_casestring = mkcasestring("\\\\"); return T_CLINE; }
break;
case 53:

# line 150 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
					{ count(1); yylval.yt_casestring = mkcasestring("\\"); return T_CLINE ; }
break;
case 54:

# line 151 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
					{ count(1); yylval.yt_casestring = mkcasestring("{"); /*WARNING-NO LONGER SUPPORTED*/ return T_CLINE ; }
break;
case 55:

# line 152 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
					{ count(1); yylval.yt_casestring = mkcasestring("}"); /*WARNING-NO LONGER SUPPORTED*/ return T_CLINE ; }
break;
case 56:

# line 153 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); if (strcmp(yytext, "$") == 0)
					 		     return yytext[0];
							  yylval.yt_int = atoi(yytext+1);
							  return T_DOLLARVAR;
							}
break;
case 57:

# line 158 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
{
							  count(1);
							  return T_FOREACH_AFTER;
							}
break;
case 58:

# line 162 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
				{ count(1); if (strcmp(yytext, "foreach") ==0) {
							      return T_FOREACH;
							  } else if (strcmp(yytext, "afterforeach") ==0) {
							      return T_FOREACH_AFTER;
							  } else if (strcmp(yytext, "with") ==0) {
							      return T_WITH;
							  } else {
							      yylval.yt_casestring = mkcasestring(yytext);
							      return T_CLINE ;
							  }
							}
break;
case 59:

# line 173 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
{ count(1); yylval.yt_casestring = mkcasestring(yytext); return T_CLINE; }
break;
case 60:

# line 174 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
					{ count(1); yylval.yt_casestring = mkcasestring(yytext); return T_CLINE; }
break;
case 61:

# line 175 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
{ count(1); yylval.yt_casestring = mkcasestring(yytext); return T_CLINE; }
break;
case 62:

# line 176 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
{ count(1); yylval.yt_casestring = mkcasestring(yytext); return T_CLINE; }
break;
case 63:

# line 177 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
	{ count(1); yylval.yt_casestring = mkcasestring(yytext); return T_CLINE; }
break;
case 64:

# line 178 "/home/tools/belinfan/src/Kimwitu.V3_7/kimwl.l"
						{ count(1); return yytext[0]; }
break;
case -1:
break;
default:
(void)fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */

static void reset_nestcount()
{
	/* WARNING if these are not == 0 */
	if (cinit_paren_nesting != 0) {
		v_report( NonFatal( PosNoFileLine(), Problem1S( "opening parenthesis '(' was not closed" )));
	}
	if (cinit_array_nesting != 0) {
		v_report( NonFatal( PosNoFileLine(), Problem1S( "opening bracket '[' was not closed" )));
	}
	cinit_paren_nesting = 0;
	cinit_array_nesting = 0;
}

void do_NORMAL()	{ BEGIN NORMAL; reset_nestcount(); }
void do_CEXPR()		{ BEGIN CEXPR; }
void do_CEXPRDQ()	{ BEGIN CEXPRDQ; }
void do_CEXPRSQ()	{ BEGIN CEXPRSQ; }
void do_C()			{ BEGIN C; }

int yywrap()		{ return 1; }

static int eat_comment
#ifdef KC_USE_PROTOTYPES
 (casestring start_filename)
#else
 (start_filename)
  casestring start_filename;
#endif
{
	char c1, c2;		/* comment string */
	int nest;
	int no_of_newlines = 0;
	int start_lineno = pg_lineno;

	for(nest=1, c2 = ' ';;){
		c1 = c2;
		c2 = input();
		if (c2 == '\n') {
			pg_lineno++;
			pg_column = 0;
			pg_charpos ++;
		} else if (c2 == '\t') {
			pg_column += 8	- (pg_column %	8);
			pg_charpos += 8	- (pg_charpos %	8);
		} else if (c2 == 0) {
			v_report( Fatal( FileLine( start_filename, start_lineno ), Problem1S( "start of comment containing unexpected eof" )));
		} else {
			pg_column++;
			pg_charpos ++;
		}
		if (c1 == '/' && c2 == '*')
			nest++;
		else if (c1 == '*' && c2 == '/')
			nest--;
		if (nest <= 0)
			break;
	}
	no_of_newlines = pg_lineno - start_lineno;
	return no_of_newlines;
}

/*ARGSUSED*/
static void counter
#ifdef KC_USE_PROTOTYPES
 (int notwhite)
#else
 (notwhite)
  int notwhite;
#endif
{
	register char *s;

#ifdef MYLEXDEBUG
	if (notwhite)
		printf ("symbol	found: %s\n", yytext);
#endif
	for	(s = yytext; *s; s++)
		if (*s == '\n')	{
			pg_column = 0;
			pg_lineno++;
			pg_charpos ++;
		} else if	(*s	== '\t') {
			pg_column += 8	- (pg_column %	8);
			pg_charpos += 8	- (pg_charpos %	8);
		} else {
			pg_column++;
			pg_charpos ++;
		}
}

/*
 *****************************
 * Parse error (and recovery)
 *****************************
 */

#include "error.h"
extern int yychar;
void yyerror(s) char *s;
{
	if (strlen(yytext) > 0) {
		v_report( NonFatal( PosNoFileLine(), Problem4S( s, "\n\ttoken last read was: `", yytext, "'")));
	} else {
		v_report( NonFatal( PosNoFileLine(), Problem1S( s )));
	}
	/* v_report( NonFatal( NoFileLine(), Problem3S1int1S( "yytext=`", yytext, "'; symbol was (", yychar, ")" ))); */
}

void yyrecovermsg(msg) char *msg;
{
	v_report( NonFatal( NoFileLine(), Problem2S( "Parsing Recovery:", msg )));
}


#ifndef FLEX_SCANNER
void yyrestart( input_file ) FILE *input_file; {}
#endif
int yyvstop[] = {
0,

64,
0,

1,
64,
0,

1,
0,

37,
64,
0,

64,
0,

38,
64,
0,

64,
0,

64,
0,

64,
0,

18,
64,
0,

28,
64,
0,

28,
64,
0,

28,
64,
0,

28,
64,
0,

28,
64,
0,

28,
64,
0,

28,
64,
0,

28,
64,
0,

28,
64,
0,

28,
64,
0,

64,
0,

10,
64,
0,

12,
0,

11,
64,
0,

10,
64,
0,

11,
64,
0,

8,
64,
0,

9,
0,

7,
64,
0,

29,
64,
0,

34,
0,

33,
64,
0,

41,
64,
0,

42,
64,
0,

40,
64,
0,

29,
64,
0,

39,
64,
0,

43,
64,
0,

35,
64,
0,

44,
64,
0,

45,
64,
0,

46,
64,
0,

35,
64,
0,

50,
64,
0,

48,
64,
0,

35,
64,
0,

59,
64,
0,

59,
64,
0,

34,
0,

56,
64,
0,

60,
64,
0,

58,
64,
0,

53,
64,
0,

58,
64,
0,

30,
0,

31,
0,

32,
0,

18,
0,

16,
0,

15,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

6,
0,

10,
0,

10,
15,
0,

7,
0,

29,
0,

14,
29,
0,

36,
0,

45,
0,

47,
0,

50,
0,

49,
0,

59,
0,

59,
0,

51,
0,

56,
0,

54,
0,

55,
0,

14,
0,

58,
0,

52,
0,

58,
0,

27,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

13,
0,

58,
0,

21,
28,
0,

28,
0,

28,
0,

28,
0,

19,
28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

58,
0,

25,
28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

28,
0,

2,
0,

58,
0,

28,
0,

23,
28,
0,

28,
0,

20,
28,
0,

28,
0,

28,
0,

4,
0,

3,
0,

58,
0,

17,
28,
0,

28,
0,

24,
28,
0,

28,
0,

58,
0,

22,
28,
0,

26,
28,
0,

58,
0,

61,
0,

58,
0,

58,
0,

58,
0,

58,
-57,
0,

5,
0,

-57,
0,

63,
0,

57,
0,

62,
0,
0};
# define YYTYPE unsigned char
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,17,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,17,	1,0,	
1,17,	2,0,	95,130,	0,0,	
0,0,	3,17,	0,0,	0,0,	
0,0,	0,0,	0,0,	92,92,	
0,0,	3,18,	3,19,	3,18,	
0,0,	0,0,	93,0,	94,0,	
0,0,	0,0,	0,0,	1,17,	
0,0,	1,17,	1,17,	59,101,	
1,17,	1,17,	62,103,	25,77,	
41,0,	67,112,	92,92,	6,42,	
1,17,	1,17,	3,20,	24,76,	
3,21,	3,17,	76,116,	3,22,	
3,17,	93,0,	94,0,	0,0,	
0,0,	3,23,	3,24,	3,25,	
3,26,	4,37,	1,17,	0,0,	
0,0,	0,0,	0,0,	41,0,	
0,0,	4,23,	4,24,	0,0,	
41,94,	0,0,	133,151,	0,0,	
134,152,	3,27,	7,43,	7,44,	
65,106,	65,106,	65,106,	65,106,	
135,153,	151,167,	152,168,	153,169,	
0,0,	1,17,	55,99,	62,99,	
1,17,	59,99,	69,114,	8,43,	
8,44,	85,123,	30,81,	33,84,	
70,115,	81,119,	32,83,	65,106,	
3,17,	84,122,	87,125,	3,27,	
29,80,	3,28,	36,87,	3,29,	
3,30,	3,31,	28,79,	16,70,	
7,25,	31,82,	34,85,	35,86,	
3,32,	4,28,	42,95,	4,29,	
4,30,	4,31,	3,33,	3,34,	
3,35,	6,38,	3,36,	6,38,	
4,32,	8,25,	7,45,	3,17,	
5,38,	3,17,	4,33,	4,34,	
4,35,	16,17,	4,36,	16,17,	
5,38,	5,39,	5,38,	4,17,	
79,117,	4,17,	80,118,	8,45,	
10,50,	37,88,	37,89,	10,51,	
37,90,	37,91,	82,120,	83,121,	
86,124,	88,126,	37,92,	89,127,	
7,45,	90,128,	91,129,	107,131,	
65,107,	5,38,	10,53,	5,38,	
5,40,	100,0,	5,38,	5,38,	
115,136,	9,46,	117,137,	102,0,	
118,138,	8,45,	5,41,	5,38,	
119,139,	9,46,	9,47,	9,46,	
120,140,	121,141,	122,142,	123,143,	
7,17,	124,144,	7,17,	125,145,	
126,146,	100,0,	127,147,	128,148,	
5,38,	129,149,	10,54,	131,150,	
10,56,	136,154,	138,155,	139,156,	
102,0,	8,17,	9,20,	8,17,	
9,48,	9,46,	140,157,	9,22,	
9,49,	9,50,	13,60,	142,158,	
9,51,	143,159,	144,160,	9,52,	
9,46,	145,161,	13,60,	5,38,	
13,60,	146,162,	5,38,	147,163,	
148,164,	149,165,	10,46,	9,53,	
10,46,	150,166,	154,170,	11,57,	
156,171,	9,46,	157,172,	158,173,	
159,174,	160,175,	161,176,	11,57,	
11,47,	11,57,	162,177,	13,60,	
163,178,	13,60,	13,60,	100,0,	
13,61,	13,60,	5,38,	164,179,	
5,38,	102,0,	166,180,	167,181,	
13,60,	13,60,	168,182,	9,54,	
9,55,	9,56,	169,183,	9,46,	
11,58,	170,184,	11,57,	11,57,	
171,185,	11,57,	11,57,	173,186,	
14,60,	175,187,	13,60,	176,188,	
178,189,	11,57,	11,57,	180,190,	
14,60,	181,191,	14,60,	182,192,	
183,193,	184,194,	186,195,	188,196,	
15,63,	189,197,	190,198,	9,46,	
192,200,	9,46,	193,201,	11,57,	
15,64,	15,65,	15,64,	194,202,	
197,203,	13,62,	198,204,	199,205,	
13,60,	14,60,	200,206,	14,60,	
14,60,	201,207,	14,61,	14,60,	
202,208,	203,209,	204,210,	206,211,	
207,212,	208,213,	14,60,	14,60,	
209,214,	15,20,	11,59,	15,66,	
15,63,	11,57,	15,22,	15,63,	
210,215,	211,216,	213,218,	214,219,	
215,220,	216,221,	15,67,	15,63,	
14,60,	218,224,	21,71,	21,71,	
21,71,	21,71,	21,71,	21,71,	
21,71,	21,71,	21,71,	21,71,	
219,225,	220,226,	223,228,	227,230,	
15,68,	23,74,	23,74,	23,74,	
23,74,	23,74,	23,74,	23,74,	
23,74,	23,74,	23,74,	14,62,	
0,0,	0,0,	14,60,	23,75,	
26,74,	26,74,	26,74,	26,74,	
26,74,	26,74,	26,74,	26,74,	
26,74,	26,74,	0,0,	15,69,	
0,0,	0,0,	15,68,	0,0,	
15,70,	48,71,	48,71,	48,71,	
48,71,	48,71,	48,71,	48,71,	
48,71,	48,71,	48,71,	0,0,	
0,0,	0,0,	0,0,	27,78,	
27,78,	27,78,	27,78,	27,78,	
27,78,	27,78,	27,78,	27,78,	
27,78,	0,0,	15,17,	0,0,	
15,17,	21,72,	0,0,	21,73,	
27,78,	27,78,	27,78,	27,78,	
27,78,	27,78,	27,78,	27,78,	
27,78,	27,78,	27,78,	27,78,	
27,78,	27,78,	27,78,	27,78,	
27,78,	27,78,	27,78,	27,78,	
27,78,	27,78,	27,78,	27,78,	
27,78,	27,78,	0,0,	0,0,	
0,0,	0,0,	27,78,	0,0,	
27,78,	27,78,	27,78,	27,78,	
27,78,	27,78,	27,78,	27,78,	
27,78,	27,78,	27,78,	27,78,	
27,78,	27,78,	27,78,	27,78,	
27,78,	27,78,	27,78,	27,78,	
27,78,	27,78,	27,78,	27,78,	
27,78,	27,78,	38,93,	191,191,	
0,0,	0,0,	217,222,	0,0,	
0,0,	221,221,	38,93,	38,0,	
38,93,	109,109,	109,109,	109,109,	
109,109,	109,109,	109,109,	109,109,	
109,109,	109,109,	109,109,	0,0,	
0,0,	0,0,	191,191,	0,0,	
0,0,	217,222,	0,0,	0,0,	
221,221,	0,0,	0,0,	38,93,	
191,199,	38,93,	38,0,	217,223,	
38,93,	38,93,	221,227,	0,0,	
0,0,	0,0,	0,0,	0,0,	
38,93,	38,93,	45,96,	45,96,	
45,96,	45,96,	45,96,	45,96,	
45,96,	45,96,	45,96,	45,96,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	38,93,	45,96,	
45,96,	45,96,	45,96,	45,96,	
45,96,	45,96,	45,96,	45,96,	
45,96,	45,96,	45,96,	45,96,	
45,96,	45,96,	45,96,	45,96,	
45,96,	45,96,	45,96,	45,96,	
45,96,	45,96,	45,96,	45,96,	
45,96,	38,93,	0,0,	0,0,	
38,93,	45,96,	0,0,	45,96,	
45,96,	45,96,	45,96,	45,96,	
45,96,	45,96,	45,96,	45,96,	
45,96,	45,96,	45,96,	45,96,	
45,96,	45,96,	45,96,	45,96,	
45,96,	45,96,	45,96,	45,96,	
45,96,	45,96,	45,96,	45,96,	
45,96,	46,97,	112,132,	0,0,	
0,0,	222,222,	0,0,	0,0,	
0,0,	46,97,	46,0,	46,97,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	112,132,	52,0,	0,0,	
222,222,	0,0,	0,0,	0,0,	
0,0,	0,0,	46,0,	0,0,	
46,0,	46,97,	222,223,	46,0,	
46,0,	46,0,	0,0,	0,0,	
46,0,	0,0,	0,0,	46,97,	
46,97,	0,0,	52,0,	0,0,	
52,0,	0,0,	0,0,	52,0,	
52,0,	52,0,	52,98,	46,0,	
52,0,	0,0,	112,133,	0,0,	
57,100,	46,97,	0,0,	0,0,	
0,0,	0,0,	0,0,	112,134,	
57,100,	57,0,	57,100,	52,0,	
112,135,	0,0,	0,0,	60,102,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	60,102,	
60,0,	60,102,	0,0,	46,0,	
46,0,	46,0,	0,0,	46,97,	
0,0,	57,0,	0,0,	57,100,	
57,100,	0,0,	57,100,	57,100,	
0,0,	0,0,	0,0,	52,0,	
52,0,	52,0,	57,100,	57,100,	
60,102,	63,104,	60,102,	60,102,	
0,0,	60,0,	60,102,	66,108,	
0,0,	63,104,	63,0,	63,104,	
0,0,	60,102,	60,102,	0,0,	
57,100,	0,0,	0,0,	66,109,	
66,109,	66,109,	66,109,	66,109,	
66,109,	66,109,	66,109,	66,109,	
66,109,	0,0,	0,0,	60,102,	
0,0,	0,0,	63,0,	0,0,	
63,0,	63,104,	0,0,	63,0,	
63,104,	0,0,	0,0,	57,0,	
0,0,	0,0,	57,100,	63,0,	
63,104,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	60,0,	0,0,	
0,0,	60,102,	0,0,	0,0,	
0,0,	63,0,	63,0,	63,0,	
63,0,	63,0,	63,0,	63,0,	
63,0,	63,0,	63,0,	63,0,	
63,0,	63,0,	63,0,	63,0,	
63,0,	63,0,	63,0,	63,0,	
63,0,	63,0,	63,0,	63,0,	
63,0,	63,0,	63,0,	0,0,	
63,0,	0,0,	66,110,	63,0,	
66,111,	63,0,	63,0,	63,0,	
63,0,	63,0,	63,0,	63,0,	
63,0,	63,0,	63,0,	63,0,	
63,0,	63,0,	63,0,	63,0,	
63,0,	63,0,	63,0,	63,0,	
63,0,	63,0,	63,0,	63,0,	
63,0,	63,0,	63,0,	63,0,	
0,0,	63,0,	64,105,	64,106,	
64,105,	212,212,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	64,0,	
212,212,	64,0,	0,0,	0,0,	
64,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
64,0,	0,0,	0,0,	0,0,	
212,217,	212,217,	212,217,	212,217,	
212,217,	212,217,	212,217,	212,217,	
212,217,	212,217,	0,0,	0,0,	
0,0,	0,0,	64,0,	64,0,	
64,0,	64,0,	64,0,	64,0,	
64,0,	64,0,	64,0,	64,0,	
64,0,	64,0,	64,0,	64,0,	
64,0,	64,0,	64,0,	64,0,	
64,0,	64,0,	64,0,	64,0,	
64,0,	64,0,	64,0,	64,0,	
0,0,	64,0,	0,0,	0,0,	
64,0,	0,0,	64,107,	64,0,	
64,0,	64,0,	64,0,	64,0,	
64,0,	64,0,	64,0,	64,0,	
64,0,	64,0,	64,0,	64,0,	
64,0,	64,0,	64,0,	64,0,	
64,0,	64,0,	64,0,	64,0,	
64,0,	64,0,	64,0,	64,0,	
64,0,	0,0,	64,0,	68,113,	
68,113,	68,113,	68,113,	68,113,	
68,113,	68,113,	68,113,	68,113,	
68,113,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
68,113,	68,113,	68,113,	68,113,	
68,113,	68,113,	68,113,	68,113,	
68,113,	68,113,	68,113,	68,113,	
68,113,	68,113,	68,113,	68,113,	
68,113,	68,113,	68,113,	68,113,	
68,113,	68,113,	68,113,	68,113,	
68,113,	68,113,	0,0,	0,0,	
0,0,	0,0,	68,113,	0,0,	
68,113,	68,113,	68,113,	68,113,	
68,113,	68,113,	68,113,	68,113,	
68,113,	68,113,	68,113,	68,113,	
68,113,	68,113,	68,113,	68,113,	
68,113,	68,113,	68,113,	68,113,	
68,113,	68,113,	68,113,	68,113,	
68,113,	68,113,	97,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	98,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	97,0,	0,0,	
97,0,	0,0,	0,0,	97,0,	
97,0,	97,0,	0,0,	98,0,	
97,0,	98,0,	0,0,	0,0,	
98,0,	98,0,	98,0,	104,0,	
0,0,	98,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	97,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
98,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	104,0,	
0,0,	104,0,	0,0,	0,0,	
104,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
104,0,	0,0,	0,0,	97,0,	
97,0,	97,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
98,0,	98,0,	98,0,	0,0,	
0,0,	0,0,	104,0,	104,0,	
104,0,	104,0,	104,0,	104,0,	
104,0,	104,0,	104,0,	104,0,	
104,0,	104,0,	104,0,	104,0,	
104,0,	104,0,	104,0,	104,0,	
104,0,	104,0,	104,0,	104,0,	
104,0,	104,0,	104,0,	104,0,	
0,0,	104,0,	0,0,	0,0,	
104,0,	0,0,	104,0,	104,0,	
104,0,	104,0,	104,0,	104,0,	
104,0,	104,0,	104,0,	104,0,	
104,0,	104,0,	104,0,	104,0,	
104,0,	104,0,	104,0,	104,0,	
104,0,	104,0,	104,0,	104,0,	
104,0,	104,0,	104,0,	104,0,	
104,0,	0,0,	104,0,	105,105,	
105,106,	105,105,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
105,0,	0,0,	105,0,	0,0,	
0,0,	105,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	105,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	105,0,	
105,0,	105,0,	105,0,	105,0,	
105,0,	105,0,	105,0,	105,0,	
105,0,	105,0,	105,0,	105,0,	
105,0,	105,0,	105,0,	105,0,	
105,0,	105,0,	105,0,	105,0,	
105,0,	105,0,	105,0,	105,0,	
105,0,	0,0,	105,0,	0,0,	
0,0,	105,0,	0,0,	105,107,	
105,0,	105,0,	105,0,	105,0,	
105,0,	105,0,	105,0,	105,0,	
105,0,	105,0,	105,0,	105,0,	
105,0,	105,0,	105,0,	105,0,	
105,0,	105,0,	105,0,	105,0,	
105,0,	105,0,	105,0,	105,0,	
105,0,	105,0,	224,229,	105,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	224,229,	224,229,	
224,229,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	226,229,	224,229,	
0,0,	224,229,	224,229,	0,0,	
224,229,	224,229,	226,229,	226,229,	
226,229,	0,0,	0,0,	0,0,	
224,229,	224,113,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	224,113,	226,229,	
0,0,	226,229,	226,229,	0,0,	
226,229,	226,229,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
226,229,	226,0,	226,0,	226,0,	
226,0,	226,0,	226,0,	226,0,	
226,0,	226,0,	226,0,	0,0,	
0,0,	224,229,	0,0,	0,0,	
224,113,	0,0,	226,0,	226,0,	
226,0,	226,0,	226,0,	226,0,	
226,0,	226,0,	226,0,	226,0,	
226,0,	226,0,	226,0,	226,0,	
226,0,	226,0,	226,0,	226,0,	
226,0,	226,0,	226,0,	226,0,	
226,0,	226,0,	226,0,	226,0,	
0,0,	226,229,	0,0,	0,0,	
226,0,	0,0,	226,0,	226,0,	
226,0,	226,0,	226,0,	226,0,	
226,0,	226,0,	226,0,	226,0,	
226,0,	226,0,	226,0,	226,0,	
226,0,	226,0,	226,0,	226,0,	
226,0,	226,0,	226,0,	226,0,	
226,0,	226,0,	226,0,	226,0,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		0,	
yycrank+-3,	yysvec+1,	0,	
yycrank+-16,	0,		0,	
yycrank+-28,	yysvec+3,	0,	
yycrank+-139,	0,		0,	
yycrank+-10,	yysvec+5,	0,	
yycrank+-73,	yysvec+1,	0,	
yycrank+-90,	yysvec+1,	0,	
yycrank+-180,	0,		0,	
yycrank+-115,	yysvec+9,	0,	
yycrank+-242,	0,		0,	
yycrank+0,	yysvec+11,	0,	
yycrank+-221,	yysvec+11,	0,	
yycrank+-283,	yysvec+11,	0,	
yycrank+-299,	0,		0,	
yycrank+-22,	yysvec+15,	0,	
yycrank+0,	0,		yyvstop+1,
yycrank+0,	0,		yyvstop+3,
yycrank+0,	0,		yyvstop+6,
yycrank+0,	0,		yyvstop+8,
yycrank+302,	0,		yyvstop+11,
yycrank+0,	0,		yyvstop+13,
yycrank+317,	0,		yyvstop+16,
yycrank+5,	0,		yyvstop+18,
yycrank+1,	0,		yyvstop+20,
yycrank+332,	0,		yyvstop+22,
yycrank+363,	0,		yyvstop+25,
yycrank+1,	yysvec+27,	yyvstop+28,
yycrank+1,	yysvec+27,	yyvstop+31,
yycrank+1,	yysvec+27,	yyvstop+34,
yycrank+1,	yysvec+27,	yyvstop+37,
yycrank+1,	yysvec+27,	yyvstop+40,
yycrank+2,	yysvec+27,	yyvstop+43,
yycrank+6,	yysvec+27,	yyvstop+46,
yycrank+2,	yysvec+27,	yyvstop+49,
yycrank+3,	yysvec+27,	yyvstop+52,
yycrank+43,	0,		yyvstop+55,
yycrank+-485,	0,		yyvstop+57,
yycrank+0,	0,		yyvstop+60,
yycrank+0,	0,		yyvstop+62,
yycrank+-34,	yysvec+38,	yyvstop+65,
yycrank+1,	0,		yyvstop+68,
yycrank+0,	0,		yyvstop+71,
yycrank+0,	0,		yyvstop+74,
yycrank+486,	0,		yyvstop+76,
yycrank+-608,	0,		yyvstop+79,
yycrank+0,	0,		yyvstop+82,
yycrank+349,	0,		yyvstop+84,
yycrank+0,	0,		yyvstop+87,
yycrank+0,	0,		yyvstop+90,
yycrank+0,	0,		yyvstop+93,
yycrank+-624,	yysvec+46,	yyvstop+96,
yycrank+0,	0,		yyvstop+99,
yycrank+0,	0,		yyvstop+102,
yycrank+2,	0,		yyvstop+105,
yycrank+0,	0,		yyvstop+108,
yycrank+-671,	0,		yyvstop+111,
yycrank+0,	0,		yyvstop+114,
yycrank+5,	0,		yyvstop+117,
yycrank+-686,	0,		yyvstop+120,
yycrank+0,	0,		yyvstop+123,
yycrank+3,	0,		yyvstop+126,
yycrank+-720,	0,		yyvstop+129,
yycrank+-837,	yysvec+63,	yyvstop+132,
yycrank+75,	0,		yyvstop+135,
yycrank+691,	0,		yyvstop+137,
yycrank+3,	0,		yyvstop+140,
yycrank+915,	0,		yyvstop+143,
yycrank+6,	0,		yyvstop+146,
yycrank+2,	yysvec+68,	yyvstop+149,
yycrank+0,	yysvec+48,	yyvstop+152,
yycrank+0,	0,		yyvstop+154,
yycrank+0,	0,		yyvstop+156,
yycrank+0,	yysvec+26,	yyvstop+158,
yycrank+0,	0,		yyvstop+160,
yycrank+8,	0,		0,	
yycrank+0,	0,		yyvstop+162,
yycrank+0,	yysvec+27,	yyvstop+164,
yycrank+36,	yysvec+27,	yyvstop+166,
yycrank+44,	yysvec+27,	yyvstop+168,
yycrank+3,	yysvec+27,	yyvstop+170,
yycrank+46,	yysvec+27,	yyvstop+172,
yycrank+48,	yysvec+27,	yyvstop+174,
yycrank+6,	yysvec+27,	yyvstop+176,
yycrank+4,	yysvec+27,	yyvstop+178,
yycrank+52,	yysvec+27,	yyvstop+180,
yycrank+2,	yysvec+27,	yyvstop+182,
yycrank+47,	0,		0,	
yycrank+51,	0,		0,	
yycrank+51,	0,		0,	
yycrank+65,	0,		0,	
yycrank+14,	0,		yyvstop+184,
yycrank+-20,	yysvec+38,	yyvstop+186,
yycrank+-21,	yysvec+38,	yyvstop+188,
yycrank+4,	0,		0,	
yycrank+0,	yysvec+45,	yyvstop+191,
yycrank+-1028,	yysvec+46,	yyvstop+193,
yycrank+-1037,	yysvec+46,	yyvstop+195,
yycrank+0,	0,		yyvstop+198,
yycrank+-167,	yysvec+57,	yyvstop+200,
yycrank+0,	0,		yyvstop+202,
yycrank+-173,	yysvec+60,	yyvstop+204,
yycrank+0,	0,		yyvstop+206,
yycrank+-1069,	yysvec+63,	yyvstop+208,
yycrank+-1186,	yysvec+63,	yyvstop+210,
yycrank+0,	yysvec+65,	0,	
yycrank+69,	0,		0,	
yycrank+0,	0,		yyvstop+212,
yycrank+449,	0,		yyvstop+214,
yycrank+0,	0,		yyvstop+216,
yycrank+0,	0,		yyvstop+218,
yycrank+601,	0,		yyvstop+220,
yycrank+0,	yysvec+68,	yyvstop+222,
yycrank+0,	0,		yyvstop+224,
yycrank+64,	yysvec+68,	yyvstop+226,
yycrank+0,	0,		yyvstop+228,
yycrank+71,	yysvec+27,	yyvstop+230,
yycrank+69,	yysvec+27,	yyvstop+232,
yycrank+91,	yysvec+27,	yyvstop+234,
yycrank+91,	yysvec+27,	yyvstop+236,
yycrank+77,	yysvec+27,	yyvstop+238,
yycrank+89,	yysvec+27,	yyvstop+240,
yycrank+79,	yysvec+27,	yyvstop+242,
yycrank+96,	yysvec+27,	yyvstop+244,
yycrank+102,	yysvec+27,	yyvstop+246,
yycrank+95,	0,		0,	
yycrank+91,	0,		0,	
yycrank+98,	0,		0,	
yycrank+104,	0,		0,	
yycrank+0,	0,		yyvstop+248,
yycrank+91,	0,		0,	
yycrank+0,	yysvec+112,	0,	
yycrank+1,	0,		0,	
yycrank+1,	0,		0,	
yycrank+3,	0,		0,	
yycrank+108,	yysvec+68,	yyvstop+250,
yycrank+0,	yysvec+27,	yyvstop+252,
yycrank+94,	yysvec+27,	yyvstop+255,
yycrank+94,	yysvec+27,	yyvstop+257,
yycrank+104,	yysvec+27,	yyvstop+259,
yycrank+0,	yysvec+27,	yyvstop+261,
yycrank+108,	yysvec+27,	yyvstop+264,
yycrank+120,	yysvec+27,	yyvstop+266,
yycrank+126,	yysvec+27,	yyvstop+268,
yycrank+113,	yysvec+27,	yyvstop+270,
yycrank+132,	0,		0,	
yycrank+121,	0,		0,	
yycrank+135,	0,		0,	
yycrank+118,	0,		0,	
yycrank+140,	0,		0,	
yycrank+9,	0,		0,	
yycrank+6,	0,		0,	
yycrank+11,	0,		0,	
yycrank+128,	yysvec+68,	yyvstop+272,
yycrank+0,	yysvec+27,	yyvstop+274,
yycrank+136,	yysvec+27,	yyvstop+277,
yycrank+136,	yysvec+27,	yyvstop+279,
yycrank+131,	yysvec+27,	yyvstop+281,
yycrank+149,	yysvec+27,	yyvstop+283,
yycrank+148,	yysvec+27,	yyvstop+285,
yycrank+145,	yysvec+27,	yyvstop+287,
yycrank+135,	0,		0,	
yycrank+159,	0,		0,	
yycrank+144,	0,		0,	
yycrank+0,	0,		yyvstop+289,
yycrank+152,	0,		0,	
yycrank+183,	0,		0,	
yycrank+188,	0,		0,	
yycrank+194,	0,		0,	
yycrank+175,	yysvec+68,	yyvstop+291,
yycrank+164,	yysvec+27,	yyvstop+293,
yycrank+0,	yysvec+27,	yyvstop+295,
yycrank+182,	yysvec+27,	yyvstop+298,
yycrank+0,	yysvec+27,	yyvstop+300,
yycrank+183,	yysvec+27,	yyvstop+303,
yycrank+179,	yysvec+27,	yyvstop+305,
yycrank+0,	0,		yyvstop+307,
yycrank+185,	0,		0,	
yycrank+0,	0,		yyvstop+309,
yycrank+189,	0,		0,	
yycrank+204,	0,		0,	
yycrank+226,	0,		0,	
yycrank+214,	0,		0,	
yycrank+186,	yysvec+68,	yyvstop+311,
yycrank+0,	yysvec+27,	yyvstop+313,
yycrank+184,	yysvec+27,	yyvstop+316,
yycrank+0,	yysvec+27,	yyvstop+318,
yycrank+198,	yysvec+27,	yyvstop+321,
yycrank+200,	0,		0,	
yycrank+191,	0,		0,	
yycrank+478,	0,		0,	
yycrank+239,	0,		0,	
yycrank+237,	0,		0,	
yycrank+197,	yysvec+68,	yyvstop+323,
yycrank+0,	yysvec+27,	yyvstop+325,
yycrank+0,	yysvec+27,	yyvstop+328,
yycrank+213,	0,		0,	
yycrank+200,	0,		0,	
yycrank+268,	0,		0,	
yycrank+251,	0,		0,	
yycrank+238,	0,		0,	
yycrank+223,	yysvec+68,	yyvstop+331,
yycrank+217,	0,		0,	
yycrank+225,	0,		0,	
yycrank+0,	0,		yyvstop+333,
yycrank+255,	0,		0,	
yycrank+245,	0,		0,	
yycrank+232,	yysvec+68,	yyvstop+335,
yycrank+235,	0,		0,	
yycrank+243,	0,		0,	
yycrank+272,	0,		0,	
yycrank+840,	0,		0,	
yycrank+243,	yysvec+68,	yyvstop+337,
yycrank+228,	0,		0,	
yycrank+245,	0,		0,	
yycrank+277,	0,		0,	
yycrank+481,	yysvec+212,	0,	
yycrank+245,	yysvec+68,	yyvstop+339,
yycrank+245,	0,		0,	
yycrank+257,	0,		0,	
yycrank+484,	0,		0,	
yycrank+604,	0,		0,	
yycrank+315,	0,		0,	
yycrank+-1309,	0,		yyvstop+341,
yycrank+0,	0,		yyvstop+344,
yycrank+-1341,	0,		yyvstop+346,
yycrank+316,	0,		0,	
yycrank+0,	0,		yyvstop+348,
yycrank+0,	0,		yyvstop+350,
yycrank+0,	0,		yyvstop+352,
0,	0,	0};
struct yywork *yytop = yycrank+1463;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
  0,   1,   1,   1,   1,   1,   1,   1, 
  1,   9,  10,  11,  11,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  9,   1,  34,   1,  36,  37,   1,  39, 
 40,  40,   1,   1,  40,   1,   1,  47, 
 48,  48,  48,  48,  48,  48,  48,  48, 
 48,  48,   1,  40,   1,   1,   1,   1, 
  1,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  40,  92,  40,   1,  95, 
  1,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  65,  65,  65,  65,  65, 
 65,  65,  65,  47,   1,  47,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
0};
char yyextra[] = {
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
/*	Copyright (c) 1989 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#pragma ident	"@(#)ncform	6.8	95/02/11 SMI"

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
#if defined(__cplusplus) || defined(__STDC__)
int yylook(void)
#else
yylook()
#endif
{
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
#ifndef __cplusplus
			*yylastch++ = yych = input();
#else
			*yylastch++ = yych = lex_input();
#endif
			if(yylastch > &yytext[YYLMAX]) {
				fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
				exit(1);
			}
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (int)yyt > (int)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((int)yyt < (int)yycrank) {		/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
#ifndef __cplusplus
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
#else
		yyprevious = yytext[0] = lex_input();
		if (yyprevious>0)
			lex_output(yyprevious);
#endif
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
#if defined(__cplusplus) || defined(__STDC__)
int yyback(int *p, int m)
#else
yyback(p, m)
	int *p;
#endif
{
	if (p==0) return(0);
	while (*p) {
		if (*p++ == m)
			return(1);
	}
	return(0);
}
	/* the following are only used in the lex library */
#if defined(__cplusplus) || defined(__STDC__)
int yyinput(void)
#else
yyinput()
#endif
{
#ifndef __cplusplus
	return(input());
#else
	return(lex_input());
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyoutput(int c)
#else
yyoutput(c)
  int c; 
#endif
{
#ifndef __cplusplus
	output(c);
#else
	lex_output(c);
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyunput(int c)
#else
yyunput(c)
   int c; 
#endif
{
	unput(c);
	}
